Subject: Re: [PATCH 0/2] Interface groups, round two

From: Patrick McHardy <[email-masked]>
Date: Thu, 18 Oct 2007 13:42:35 +0200

Laszlo Attila Toth wrote:
> Patrick McHardy írta:
>> Laszlo Attila Toth wrote:
>
>> The only reason why it can't be set to zero again seems to
>> be this part from the iproute patch:
>>
>> +            if (rtnl_ifgroup_a2n(&group, *argv) || group == 0)
>>
>> Why don't you allow a value of zero?
>>
> 
> It has historical reason. The original version which didn't use netlink 
> (at kernel 2.6.17) used zero to indicate that group was not set. You 
> wrote previously that this part is useless for new kernels. I'll fix 
> this (with type of "group" variable to unsigned int32 to be consistent 
> with the kernel part).

Support for ifgroups in the ioctl part is useless since that will
never be used with kernel supporting this feature. Setting it to
zero is not useless.

-
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html